body {
    color: white;
    margin: 0;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 1.5rem;
    /*kaasislekkerkutenpizzaisookheellekkernomatterwhatyousay*/
    /* overflow: hidden; */
}

#nav_bar {
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
    width: 100vw;
    /* height: 70px; */
    height: 8vh;
    background-color: rgb(29, 28, 28);
    z-index: 2;
    /* border: 1px solid black; */
    font-size: xx-large;
    /* border-bottom: solid 1px black */
}

#titel_navbar {
    margin-left: auto;
    margin-right: auto;
    animation: 4s tekst;
}

#menu {
    position: absolute;
    width: 40px;
    height: 40px;
    margin-left: 30px;
    display: flex;
    flex-direction: column;
    gap: 7px;
    justify-content: center;
    cursor: pointer;
    animation: 7s tekst;
}

.menu_bar {
    width: 100%;
    height: 7px;
    background-color: rgb(121, 121, 121);;
}

#bar_screen {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
    
    margin-top: 10px;
    margin-left: 5px;
    width: 95%;
    height: 230px;
    display: none;
    padding-top: 10px;
    border-radius: 15px;

    a {
        text-decoration: none;
        color: white;
    }

    a:hover {
        text-decoration: underline;
    }
}

#bar_screentext {
    color: white;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    font-size: 30px;
    background: linear-gradient(-90deg, rgb(5, 5, 5) 10%, rgb(5, 5, 63) 60%);
    border: 1px solid rgba(171, 161, 161, 0.25);
    border-radius: 15px;;
    font-weight: bold;
}

#bar1 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

#bar2 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

#bar3 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

.main_layout {
    display: flex;
    flex-direction: row;
}

.left_bar {
    width: 15vw;
    height: 92vh;
    border: 1px solid black;
    background: linear-gradient(-90deg, rgb(5, 5, 5) 10%, rgb(5, 5, 63) 60%);
    /* background-color: rgb(5, 5, 63); */
}

.middle_window {
    overflow: scroll;
    width: 70vw;
    height: 92vh;
    border: 1px solid black;
    background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
}
/* 
.middle_window::before,
.middle_window::after {
    content: "";
    position: fixed; 
    inset: 0;
    z-index: -1; 
}

.middle_window::before {
    background: radial-gradient(circle at center, rgb(0, 0, 0) 8%, rgb(29, 28, 28) 92%);
    animation: moving-animationA 8s infinite alternate ease-in-out;
}

.middle_window::after {
    background: radial-gradient(circle at top left, rgb(29, 28, 28) 8%, rgb(0, 0, 0) 92%);
    animation: moving-animationB 8s infinite alternate ease-in-out;
}





@keyframes moving-animationA{
    0% {
        background-color: rgb(62, 62, 62)
    }

    100% {
        background-color: rgb(0, 0, 0);
    }
}

@keyframes moving-animationB{
    0% {
        background-color: rgb(28, 28, 28);
    }

    100% {
        background-color: rgb(0, 0, 0);
    }
} */

#title {
    text-align: center;
    animation: 4s tekst;
}

#tekst1_0 {
    justify-self: center;
    width: 56vw;
    height: 35vh;
    text-align: center;
    animation: 7s tekst;
}

.white1_0 {
    /* ik ben een wit blokje hihihi */
    /* feitje: sommige witte blokjes zijn leugenaars */
    background-color: black;
    justify-self: center;
    width: 66vw;
    height: 20vh;
    opacity: 0%;
    
}
.tekst_with_pic1_0 {
    display: flex;
    justify-self: center;
    justify-content: space-between;
    width: 66vw;
    height: 45vh;
    margin-top: 300px;
}

#pic2 {
    margin-top: 50px;
    animation: 4s tekst;
}

.tekst1_1 {
    width: 28vw;
    height: 30vh;
    animation: 4s tekst;
}

.pic1_0 {
    width: 28vw;
    height: 30vh;
    /* background-color: white; */
    color: black;
    animation: 4s tekst;
    background-color: transparent;
    border: 1px solid gray;
    border-radius: 15px;

    background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
}

#non_available {
    display: none;
}

#patchnotefake_box {
    display: flex;
    align-items: center;
    justify-content: center;
}

#tekst_with_pic1_1 {
    display: flex;
    justify-self: center;
    justify-content: space-between;
    width: 66vw;
    height: 45vh;
}

#voor_info_page {
    text-align: center;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    animation: 4s tekst;
}

#tekst1_2 {
    width: 35vw;
    height: 30vh;
    animation: 4s tekst;
}

.pic1_1 {
    width: 30vw;
    height: 26vh;
    animation: 4s tekst;
    
}

.white1_1 {
    /* ik ben ook een wit blokje hihihi */
    background-color: black;
    justify-self: center;
    width: 66vw;
    height: 20vh;
    opacity: 0%;
}

#box_voor_button{
    width: 66vw;
    height: 15vh;
    display: flex;
    justify-self: center;
    justify-content: center;
}

#de_knop {
    z-index: 2;
    position: relative;
    margin-top: 2vh;
    width: 15vw;
    height: 5vh;
    animation: 4s tekst;
    border: 0;
    font-size: 20px;
    color: white;
    background-color: rgb(0, 94, 0);
    border-radius: 15px;
    box-shadow: 1px 1px 10px 1px green;
    cursor: pointer;
    transition: 0.5s;
}

#de_knop:hover {
    transform: scale(1.1);
    transition: 0.2s;
}


.right_bar {
    width: 15vw;
    height: 92vh;
    border: 1px solid black;
    /* background-color: red; */
    background: linear-gradient(90deg, rgb(5, 5, 5) 10%, #72090d 60%);
}




/* animaties menu van navigatiebar */

@keyframes bar_on1 {
    0% {
        rotate: 0;
        translate: 0px 0px;
    }

    100% {
        rotate: 45deg;
        translate: 0px 16px;
    }
}

@keyframes bar_on2 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes bar_on3 {
    0% {
        rotate: 0;
        translate: 0px 0px;
    }

    100% {
        rotate: -45deg;
        translate: 0px -12px;
    }
}



@keyframes bar_off1 {
    0% {
        rotate: 45deg;
        translate: 0px 16px;
    }

    100% {
        rotate: 0deg;
        translate: 0px 0px;
    }
}

@keyframes bar_off2 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes bar_off3 {
    0% {
        rotate: -45deg;
        translate: 0px -12px;
    }

    100% {
        rotate: 0deg;
        translate: 0px 0px;
    }
}

@keyframes tekst {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.star{
    position: absolute;
    aspect-ratio: 1 ;
    background-color: white;
    border-radius: 50%;
    z-index: 0;
}

/* patch notes icoontje */

#patchnote_fake {
    display: flex;
    position: relative;
    width: 160px;
    height: 250px;
    background-color: black;
    border: 2px solid white;

    animation-name: animatie_patchnotes;
    animation-duration: 5s;
    animation-fill-mode: forwards;
    animation-timing-function: linear;
    animation-iteration-count: infinite;

    scale: 0.87;
}

#fake_navbar {
    display: flex;
    position: absolute;
    height: 30px;
    width: 160px;
    background-color: rgb(29, 28, 28);
    display: flex;
    align-items: center;

}

#fake_navbarmenubar {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    position: absolute;
    height: 17px;
    width: 17px;
    margin-left: 3px;
}

.sidebar_fake {
    width: 20px;
    height: 250px;
}

.fake_navbarbar {
    width: 20px;
    height: 4px;
    background-color: rgb(121, 121, 121);
}

#fake_name {
    margin-left: auto;
    margin-right: auto;
    font-size: 7px;
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    margin-left: auto;
    text-align: center;
    margin-right: auto;
}

#sidebar_fake1 {
    background-color: blue;
}

#sidebar_fake2 {
    background-color: red;
}

#middle_part_fake {
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.fake_patch {
    width: 106px;
    height: 40px;
    background-color: rgb(40, 40, 40);
    margin-right: auto;
    margin-left: auto;
}

#fake_patch_one {
    margin-top: 40px;
}

#shadow {
    width: 120px;
    height: 20px;
    background-color: rgb(71, 71, 71);
    border-radius: 100%;
    box-shadow: 0px 0px 12px;
    margin-left: auto;
    margin-right: auto;
    filter: blur(5px);
}
@keyframes animatie_patchnotes {

    0% {
        translate: 0px 0px;
    }

    33.3% {
        translate: 0px -10px;
    }

    66.6% {
        translate: 0px 10px;
    }

    100% {
        translate: 0px 0px;
    }
}